#! /bin/sh

rm -rf geoprocessing

mkdir -p geoprocessing
(
cd geoprocessing
tar xzvf ../geoprocessing.tar.gz
)

export LOCATION_NAME=test_overlay

export GRASS_VERSION="-7.0.0svn"
#export GRASS_VERSION="-6.4.4"

. ./grass_common_setup.sh

rm -rf $LOCATION_NAME
mkdir -p $LOCATION_NAME/${MAPSET}
cp -pr proj/geoprocessing/* $LOCATION_NAME/${MAPSET}

db.connect driver=sqlite database='$GISDBASE/$LOCATION_NAME/$MAPSET/sqlite.db'

v.in.ogr geoprocessing/ output=uno layer=uno min_area=0.0001 snap=-1 -o
v.in.ogr geoprocessing/ output=due layer=due min_area=0.0001 snap=-1 -o

v.overlay ainput=uno atype=area alayer=1 binput=due btype=area blayer=1 output=test_or operator=or olayer=1,0,0 --overwrite

v.db.select test_or

db.columns test_or
